Subject: Re: [PATCH] drivers/net/ethernet/broadcom/bnx2.c

From: "Magnos A. Hammes" <[email-masked]>
Date: Thu, 01 May 2014 15:49:54 -0300

On 01-05-2014 14:39, Michael Chan wrote:
> On Thu, 2014-05-01 at 13:36 -0300, Magnos A. Hammes wrote:
>> Ok, I cloned that git tree and used the firmwares available there, but
>> it didn't work with this firmware: bnx2/bnx2-mips-09-6.2.1b.fw sha1sum
>> 8f11b39a60a4e1dd3774a10218c913f1cb761353
>>
>
> I have the same sha1 sum on the same firmware file on my system and it
> works for me.
>
>> It only works when I change the source code of
>> "drivers/net/ethernet/broadcom/bnx2.c" and compile the kernel again,
>> making him load this firmware "bnx2/bnx2-mips-09-6.2.1a.fw" instead of
>> "bnx2/bnx2-mips-09-6.2.1b.fw".
>
> I don't see why it wouldn't work if both firmware files are in the same
> location.  May be you have some udev rules that are preventing it?
>>
>>
>
>

Yes, I have some udev rules that run at system boot, but the only thing 
I do is:

/sbin/udevd --daemon
/sbin/udevadm trigger --type=subsystems --action=add
/sbin/udevadm trigger --type=devices --action=add
/sbin/udevadm settle

Udev runs normally and returns no errors or warnings and dmesg shows 
nothing weird.

So, you think this may be a problem with my udev rules or a udev bug?

I'm using udev version 182.